Skip to main content
GET
https://{tenantDomain}/api/v2
/
forms
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using System.Collections.Generic;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Forms.ListAsync(
            new ListFormsRequestParameters {
                Page = 1,
                PerPage = 1,
                IncludeTotals = true,
                Hydrate = new List<FormsRequestParametersHydrateEnum>(){
                    FormsRequestParametersHydrateEnum.FlowCount,
                }

            }
        );
    }

}
[
  {
    "id": "<string>",
    "name": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "embedded_at": "2023-12-25",
    "submitted_at": "2023-12-25"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer

Page index of the results to return. First page is 0.

Required range: 0 <= x <= 1000
per_page
integer

Number of results per page. Defaults to 50.

Required range: 1 <= x <= 100
include_totals
boolean

Return results inside an object that contains the total result count (true) or as a direct array of results (false, default).

hydrate
enum<string>[]

Query parameter to hydrate the response with additional data

Available options:
flow_count,
links
Maximum string length: 50

Response

Forms successfully retrieved.

id
string<form-id>
required
Maximum string length: 30
name
string
required
Required string length: 1 - 150
created_at
string<date-time>
required
updated_at
string<date-time>
required
embedded_at
string<date>
submitted_at
string<date>